Subject: Re: [PATCH -rt DO NOT APPLY] Fix for tg3 networking lockup

From: "Michael Chan" <[email-masked]>
Date: Thu, 03 Aug 2006 11:36:47 -0700

On Thu, 2006-08-03 at 20:00 +1000, Herbert Xu wrote:
> Theodore Tso <[email-masked]> wrote:
> > 
> > I'm sending this on mostly because it was a bit of a pain to track down,
> > and hopefully it will save time if anyone else hits this while playing
> > with the -rt kernel.  It is NOT the right way to fix things, so please
> > don't even think of applying this patch (unless you need it, in your own
> > local tree :-).
> > 
> > One of these days when we have time to breath we'll look into fixing
> > this the right way, if someone doesn't beat us to it first.  :-)
> 
Ted, what tg3 hardware is having this timer related problem?  Can you
send me the tg3 probing output?